diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/edit-link-form.php ./wordpress-3.3/wp-admin/edit-link-form.php
*** ./wordpress-3.2.1/wp-admin/edit-link-form.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/edit-link-form.php	2011-11-30 20:22:07.000000000 -0600
***************
*** 24,34 ****
  
  require_once('./includes/meta-boxes.php');
  
! add_meta_box('linksubmitdiv', __('Save'), 'link_submit_meta_box', 'link', 'side', 'core');
! add_meta_box('linkcategorydiv', __('Categories'), 'link_categories_meta_box', 'link', 'normal', 'core');
! add_meta_box('linktargetdiv', __('Target'), 'link_target_meta_box', 'link', 'normal', 'core');
! add_meta_box('linkxfndiv', __('Link Relationship (XFN)'), 'link_xfn_meta_box', 'link', 'normal', 'core');
! add_meta_box('linkadvanceddiv', __('Advanced'), 'link_advanced_meta_box', 'link', 'normal', 'core');
  
  do_action('add_meta_boxes', 'link', $link);
  do_action('add_meta_boxes_link', $link);
--- 24,34 ----
  
  require_once('./includes/meta-boxes.php');
  
! add_meta_box('linksubmitdiv', __('Save'), 'link_submit_meta_box', null, 'side', 'core');
! add_meta_box('linkcategorydiv', __('Categories'), 'link_categories_meta_box', null, 'normal', 'core');
! add_meta_box('linktargetdiv', __('Target'), 'link_target_meta_box', null, 'normal', 'core');
! add_meta_box('linkxfndiv', __('Link Relationship (XFN)'), 'link_xfn_meta_box', null, 'normal', 'core');
! add_meta_box('linkadvanceddiv', __('Advanced'), 'link_advanced_meta_box', null, 'normal', 'core');
  
  do_action('add_meta_boxes', 'link', $link);
  do_action('add_meta_boxes_link', $link);
***************
*** 37,48 ****
  do_action('do_meta_boxes', 'link', 'advanced', $link);
  do_action('do_meta_boxes', 'link', 'side', $link);
  
! add_screen_option('layout_columns', array('max' => 2) );
  
! add_contextual_help($current_screen,
  	'<p>' . __( 'You can add or edit links on this screen by entering information in each of the boxes. Only the link&#8217;s web address and name (the text you want to display on your site as the link) are required fields.' ) . '</p>' .
  	'<p>' . __( 'The boxes for link name, web address, and description have fixed positions, while the others may be repositioned using drag and drop. You can also hide boxes you don&#8217;t use in the Screen Options tab, or minimize boxes by clicking on the title bar of the box.' ) . '</p>' .
! 	'<p>' . __( 'XFN stands for <a href="http://gmpg.org/xfn/" target="_blank">XHTML Friends Network</a>, which is optional. WordPress allows the generation of XFN attributes to show how you are related to the authors/owners of the site to which you are linking.' ) . '</p>' .
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Links_Add_New_Screen" target="_blank">Documentation on Creating Links</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
--- 37,54 ----
  do_action('do_meta_boxes', 'link', 'advanced', $link);
  do_action('do_meta_boxes', 'link', 'side', $link);
  
! add_screen_option('layout_columns', array('max' => 2, 'default' => 2) );
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' =>
  	'<p>' . __( 'You can add or edit links on this screen by entering information in each of the boxes. Only the link&#8217;s web address and name (the text you want to display on your site as the link) are required fields.' ) . '</p>' .
  	'<p>' . __( 'The boxes for link name, web address, and description have fixed positions, while the others may be repositioned using drag and drop. You can also hide boxes you don&#8217;t use in the Screen Options tab, or minimize boxes by clicking on the title bar of the box.' ) . '</p>' .
! 	'<p>' . __( 'XFN stands for <a href="http://gmpg.org/xfn/" target="_blank">XHTML Friends Network</a>, which is optional. WordPress allows the generation of XFN attributes to show how you are related to the authors/owners of the site to which you are linking.' ) . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Links_Add_New_Screen" target="_blank">Documentation on Creating Links</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
***************
*** 49,57 ****
  );
  
  require_once ('admin-header.php');
- 
  ?>
! <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?>  <a href="link-add.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'link'); ?></a></h2>
  
--- 55,63 ----
  );
  
  require_once ('admin-header.php');
  ?>
! 
! <div class="wrap columns-<?php echo (int) $screen_layout_columns ? (int) $screen_layout_columns : 'auto'; ?>">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?>  <a href="link-add.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'link'); ?></a></h2>
  
***************
*** 69,82 ****
  wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
  wp_nonce_field( 'meta-box-order', 'meta-box-order-nonce', false ); ?>
  
! <div id="poststuff" class="metabox-holder<?php echo 2 == $screen_layout_columns ? ' has-right-sidebar' : ''; ?>">
! 
  <div id="side-info-column" class="inner-sidebar">
  <?php
! 
! do_action('submitlink_box');
! $side_meta_boxes = do_meta_boxes( 'link', 'side', $link );
! 
  ?>
  </div>
  
--- 75,87 ----
  wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
  wp_nonce_field( 'meta-box-order', 'meta-box-order-nonce', false ); ?>
  
! <div id="poststuff" class="metabox-holder<?php echo 1 != $screen_layout_columns ? ' has-right-sidebar' : ''; ?>">
  <div id="side-info-column" class="inner-sidebar">
  <?php
! if ( 1 != $screen_layout_columns ) {
! 	do_action('submitlink_box');
! 	$side_meta_boxes = do_meta_boxes( 'link', 'side', $link );
! }
  ?>
  </div>
  
***************
*** 108,116 ****
  
  <?php
  
! do_meta_boxes('link', 'normal', $link);
  
! do_meta_boxes('link', 'advanced', $link);
  
  if ( $link_id ) : ?>
  <input type="hidden" name="action" value="save" />
--- 113,126 ----
  
  <?php
  
! if ( 1 == $screen_layout_columns ) {
! 	do_action('submitlink_box');
! 	$side_meta_boxes = do_meta_boxes( 'link', 'side', $link );
! }
! 
! do_meta_boxes(null, 'normal', $link);
  
! do_meta_boxes(null, 'advanced', $link);
  
  if ( $link_id ) : ?>
  <input type="hidden" name="action" value="save" />
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/edit.php ./wordpress-3.3/wp-admin/edit.php
*** ./wordpress-3.2.1/wp-admin/edit.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/edit.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 9,27 ****
  /** WordPress Administration Bootstrap */
  require_once( './admin.php' );
  
! if ( !isset($_GET['post_type']) )
! 	$post_type = 'post';
! elseif ( in_array( $_GET['post_type'], get_post_types( array('show_ui' => true ) ) ) )
! 	$post_type = $_GET['post_type'];
! else
! 	wp_die( __('Invalid post type') );
! 
! $_GET['post_type'] = $post_type;
  
  $post_type_object = get_post_type_object( $post_type );
  
! if ( !current_user_can($post_type_object->cap->edit_posts) )
! 	wp_die(__('Cheatin&#8217; uh?'));
  
  $wp_list_table = _get_list_table('WP_Posts_List_Table');
  $pagenum = $wp_list_table->get_pagenum();
--- 9,25 ----
  /** WordPress Administration Bootstrap */
  require_once( './admin.php' );
  
! if ( ! $typenow )
! 	wp_die( __( 'Invalid post type' ) );
  
+ $post_type = $typenow;
  $post_type_object = get_post_type_object( $post_type );
  
! if ( ! $post_type_object )
! 	wp_die( __( 'Invalid post type' ) );
! 
! if ( ! current_user_can( $post_type_object->cap->edit_posts ) )
! 	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  $wp_list_table = _get_list_table('WP_Posts_List_Table');
  $pagenum = $wp_list_table->get_pagenum();
***************
*** 51,56 ****
--- 49,56 ----
  	check_admin_referer('bulk-posts');
  
  	$sendback = remove_query_arg( array('trashed', 'untrashed', 'deleted', 'ids'), wp_get_referer() );
+ 	if ( ! $sendback )
+ 		$sendback = admin_url( $parent_file );
  	$sendback = add_query_arg( 'paged', $pagenum, $sendback );
  	if ( strpos($sendback, 'post.php') !== false )
  		$sendback = admin_url($post_new_file);
***************
*** 149,170 ****
  $title = $post_type_object->labels->name;
  
  if ( 'post' == $post_type ) {
! 	add_contextual_help($current_screen,
! 	'<p>' . __('You can customize the display of this screen in a number of ways:') . '</p>' .
! 	'<ul>' .
! 	'<li>' . __('You can hide/display columns based on your needs and decide how many posts to list per screen using the Screen Options tab.') . '</li>' .
! 	'<li>' . __('You can filter the list of posts by post status using the text links in the upper left to show All, Published, Draft, or Trashed posts. The default view is to show all posts.') . '</li>' .
! 	'<li>' . __('You can view posts in a simple title list or with an excerpt. Choose the view you prefer by clicking on the icons at the top of the list on the right.') . '</li>' .
! 	'<li>' . __('You can refine the list to show only posts in a specific category or from a specific month by using the dropdown menus above the posts list. Click the Filter button after making your selection. You also can refine the list by clicking on the post author, category or tag in the posts list.') . '</li>' .
! 	'</ul>' .
! 	'<p>' . __('Hovering over a row in the posts list will display action links that allow you to manage your post. You can perform the following actions:') . '</p>' .
! 	'<ul>' .
! 	'<li>' . __('Edit takes you to the editing screen for that post. You can also reach that screen by clicking on the post title.') . '</li>' .
! 	'<li>' . __('Quick Edit provides inline access to the metadata of your post, allowing you to update post details without leaving this screen.') . '</li>' .
! 	'<li>' . __('Trash removes your post from this list and places it in the trash, from which you can permanently delete it.') . '</li>' .
! 	'<li>' . __('Preview will show you what your draft post will look like if you publish it. View will take you to your live site to view the post. Which link is available depends on your post&#8217;s status.') . '</li>' .
! 	'</ul>' .
! 	'<p>' . __('You can also edit multiple posts at once. Select the posts you want to edit using the checkboxes, select Edit from the Bulk Actions menu and click Apply. You will be able to change the metadata (categories, author, etc.) for all selected posts at once. To remove a post from the grouping, just click the x next to its name in the Bulk Edit area that appears.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Posts_Screen" target="_blank">Documentation on Managing Posts</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 149,193 ----
  $title = $post_type_object->labels->name;
  
  if ( 'post' == $post_type ) {
! 	get_current_screen()->add_help_tab( array(
! 	'id'		=> 'overview',
! 	'title'		=> __('Overview'),
! 	'content'	=>
! 		'<p>' . __('This screen provides access to all of your posts. You can customize the display of this screen to suit your workflow.') . '</p>'
! 	) );
! 	get_current_screen()->add_help_tab( array(
! 	'id'		=> 'screen-content',
! 	'title'		=> __('Screen Content'),
! 	'content'	=>
! 		'<p>' . __('You can customize the display of this screen&#8217;s contents in a number of ways:') . '</p>' .
! 		'<ul>' .
! 			'<li>' . __('You can hide/display columns based on your needs and decide how many posts to list per screen using the Screen Options tab.') . '</li>' .
! 			'<li>' . __('You can filter the list of posts by post status using the text links in the upper left to show All, Published, Draft, or Trashed posts. The default view is to show all posts.') . '</li>' .
! 			'<li>' . __('You can view posts in a simple title list or with an excerpt. Choose the view you prefer by clicking on the icons at the top of the list on the right.') . '</li>' .
! 			'<li>' . __('You can refine the list to show only posts in a specific category or from a specific month by using the dropdown menus above the posts list. Click the Filter button after making your selection. You also can refine the list by clicking on the post author, category or tag in the posts list.') . '</li>' .
! 		'</ul>'
! 	) );
! 	get_current_screen()->add_help_tab( array(
! 	'id'		=> 'action-links',
! 	'title'		=> __('Available Actions'),
! 	'content'	=>
! 		'<p>' . __('Hovering over a row in the posts list will display action links that allow you to manage your post. You can perform the following actions:') . '</p>' .
! 		'<ul>' .
! 			'<li>' . __('<strong>Edit</strong> takes you to the editing screen for that post. You can also reach that screen by clicking on the post title.') . '</li>' .
! 			'<li>' . __('<strong>Quick Edit</strong> provides inline access to the metadata of your post, allowing you to update post details without leaving this screen.') . '</li>' .
! 			'<li>' . __('<strong>Trash</strong> removes your post from this list and places it in the trash, from which you can permanently delete it.') . '</li>' .
! 			'<li>' . __('<strong>Preview</strong> will show you what your draft post will look like if you publish it. View will take you to your live site to view the post. Which link is available depends on your post&#8217;s status.') . '</li>' .
! 		'</ul>'
! 	) );
! 	get_current_screen()->add_help_tab( array(
! 	'id'		=> 'bulk-actions',
! 	'title'		=> __('Bulk Actions'),
! 	'content'	=>
! 		'<p>' . __('You can also edit or move multiple posts to the trash at once. Select the posts you want to act on using the checkboxes, then select the action you want to take from the Bulk Actions menu and click Apply.') . '</p>' .
! 				'<p>' . __('When using Bulk Edit, you can change the metadata (categories, author, etc.) for all selected posts at once. To remove a post from the grouping, just click the x next to its name in the Bulk Edit area that appears.') . '</p>'
! 	) );
! 
! 	get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Posts_Screen" target="_blank">Documentation on Managing Posts</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 169,179 ****
  	'<p>' . __('<a href="http://codex.wordpress.org/Posts_Screen" target="_blank">Documentation on Managing Posts</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  	);
  } elseif ( 'page' == $post_type ) {
! 	add_contextual_help($current_screen,
! 	'<p>' . __('Pages are similar to Posts in that they have a title, body text, and associated metadata, but they are different in that they are not part of the chronological blog stream, kind of like permanent posts. Pages are not categorized or tagged, but can have a hierarchy. You can nest Pages under other Pages by making one the &#8220;Parent&#8221; of the other, creating a group of Pages.') . '</p>' .
! 	'<p>' . __('Managing Pages is very similar to managing Posts, and the screens can be customized in the same way.') . '</p>' .
! 	'<p>' . __('You can also perform the same types of actions, including narrowing the list by using the filters, acting on a Page using the action links that appear when you hover over a row, or using the Bulk Actions menu to edit the metadata for multiple Pages at once.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Pages_Screen" target="_blank">Documentation on Managing Pages</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 192,214 ----
  	'<p>' . __('<a href="http://codex.wordpress.org/Posts_Screen" target="_blank">Documentation on Managing Posts</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  	);
+ 
  } elseif ( 'page' == $post_type ) {
! 	get_current_screen()->add_help_tab( array(
! 	'id'		=> 'overview',
! 	'title'		=> __('Overview'),
! 	'content'	=>
! 		'<p>' . __('Pages are similar to posts in that they have a title, body text, and associated metadata, but they are different in that they are not part of the chronological blog stream, kind of like permanent posts. Pages are not categorized or tagged, but can have a hierarchy. You can nest pages under other pages by making one the &#8220;Parent&#8221; of the other, creating a group of pages.') . '</p>'
! 	) );
! 	get_current_screen()->add_help_tab( array(
! 	'id'		=> 'managing-pages',
! 	'title'		=> __('Managing Pages'),
! 	'content'	=>
! 		'<p>' . __('Managing pages is very similar to managing posts, and the screens can be customized in the same way.') . '</p>' .
! 		'<p>' . __('You can also perform the same types of actions, including narrowing the list by using the filters, acting on a page using the action links that appear when you hover over a row, or using the Bulk Actions menu to edit the metadata for multiple pages at once.') . '</p>'
! 	) );
! 
! 	get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Pages_Screen" target="_blank">Documentation on Managing Pages</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 191,206 ****
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() ); ?>
  </h2>
  
! <?php
! if ( isset($_REQUEST['posted']) && $_REQUEST['posted'] ) : $_REQUEST['posted'] = (int) $_REQUEST['posted']; ?>
! <div id="message" class="updated"><p><strong><?php _e('This has been saved.'); ?></strong> <a href="<?php echo get_permalink( $_REQUEST['posted'] ); ?>"><?php _e('View Post'); ?></a> | <a href="<?php echo get_edit_post_link( $_REQUEST['posted'] ); ?>"><?php _e('Edit Post'); ?></a></p></div>
! <?php $_SERVER['REQUEST_URI'] = remove_query_arg(array('posted'), $_SERVER['REQUEST_URI']);
! endif; ?>
! 
! <?php if ( isset($_REQUEST['locked']) || isset($_REQUEST['skipped']) || isset($_REQUEST['updated']) || isset($_REQUEST['deleted']) || isset($_REQUEST['trashed']) || isset($_REQUEST['untrashed']) ) { ?>
  <div id="message" class="updated"><p>
  <?php if ( isset($_REQUEST['updated']) && (int) $_REQUEST['updated'] ) {
! 	printf( _n( '%s post updated.', '%s posts updated.', $_REQUEST['updated'] ), number_format_i18n( $_REQUEST['updated'] ) );
  	unset($_REQUEST['updated']);
  }
  
--- 226,237 ----
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() ); ?>
  </h2>
  
! <?php if ( isset($_REQUEST['locked']) || isset($_REQUEST['skipped']) || isset($_REQUEST['updated']) || isset($_REQUEST['deleted']) || isset($_REQUEST['trashed']) || isset($_REQUEST['untrashed']) ) {
! 	$messages = array();
! ?>
  <div id="message" class="updated"><p>
  <?php if ( isset($_REQUEST['updated']) && (int) $_REQUEST['updated'] ) {
! 	$messages[] = sprintf( _n( '%s post updated.', '%s posts updated.', $_REQUEST['updated'] ), number_format_i18n( $_REQUEST['updated'] ) );
  	unset($_REQUEST['updated']);
  }
  
***************
*** 208,234 ****
  	unset($_REQUEST['skipped']);
  
  if ( isset($_REQUEST['locked']) && (int) $_REQUEST['locked'] ) {
! 	printf( _n( '%s item not updated, somebody is editing it.', '%s items not updated, somebody is editing them.', $_REQUEST['locked'] ), number_format_i18n( $_REQUEST['locked'] ) );
  	unset($_REQUEST['locked']);
  }
  
  if ( isset($_REQUEST['deleted']) && (int) $_REQUEST['deleted'] ) {
! 	printf( _n( 'Item permanently deleted.', '%s items permanently deleted.', $_REQUEST['deleted'] ), number_format_i18n( $_REQUEST['deleted'] ) );
  	unset($_REQUEST['deleted']);
  }
  
  if ( isset($_REQUEST['trashed']) && (int) $_REQUEST['trashed'] ) {
! 	printf( _n( 'Item moved to the Trash.', '%s items moved to the Trash.', $_REQUEST['trashed'] ), number_format_i18n( $_REQUEST['trashed'] ) );
  	$ids = isset($_REQUEST['ids']) ? $_REQUEST['ids'] : 0;
! 	echo ' <a href="' . esc_url( wp_nonce_url( "edit.php?post_type=$post_type&doaction=undo&action=untrash&ids=$ids", "bulk-posts" ) ) . '">' . __('Undo') . '</a><br />';
  	unset($_REQUEST['trashed']);
  }
  
  if ( isset($_REQUEST['untrashed']) && (int) $_REQUEST['untrashed'] ) {
! 	printf( _n( 'Item restored from the Trash.', '%s items restored from the Trash.', $_REQUEST['untrashed'] ), number_format_i18n( $_REQUEST['untrashed'] ) );
  	unset($_REQUEST['undeleted']);
  }
  
  $_SERVER['REQUEST_URI'] = remove_query_arg( array('locked', 'skipped', 'updated', 'deleted', 'trashed', 'untrashed'), $_SERVER['REQUEST_URI'] );
  ?>
  </p></div>
--- 239,269 ----
  	unset($_REQUEST['skipped']);
  
  if ( isset($_REQUEST['locked']) && (int) $_REQUEST['locked'] ) {
! 	$messages[] = sprintf( _n( '%s item not updated, somebody is editing it.', '%s items not updated, somebody is editing them.', $_REQUEST['locked'] ), number_format_i18n( $_REQUEST['locked'] ) );
  	unset($_REQUEST['locked']);
  }
  
  if ( isset($_REQUEST['deleted']) && (int) $_REQUEST['deleted'] ) {
! 	$messages[] = sprintf( _n( 'Item permanently deleted.', '%s items permanently deleted.', $_REQUEST['deleted'] ), number_format_i18n( $_REQUEST['deleted'] ) );
  	unset($_REQUEST['deleted']);
  }
  
  if ( isset($_REQUEST['trashed']) && (int) $_REQUEST['trashed'] ) {
! 	$messages[] = sprintf( _n( 'Item moved to the Trash.', '%s items moved to the Trash.', $_REQUEST['trashed'] ), number_format_i18n( $_REQUEST['trashed'] ) );
  	$ids = isset($_REQUEST['ids']) ? $_REQUEST['ids'] : 0;
! 	$messages[] = '<a href="' . esc_url( wp_nonce_url( "edit.php?post_type=$post_type&doaction=undo&action=untrash&ids=$ids", "bulk-posts" ) ) . '">' . __('Undo') . '</a>';
  	unset($_REQUEST['trashed']);
  }
  
  if ( isset($_REQUEST['untrashed']) && (int) $_REQUEST['untrashed'] ) {
! 	$messages[] = sprintf( _n( 'Item restored from the Trash.', '%s items restored from the Trash.', $_REQUEST['untrashed'] ), number_format_i18n( $_REQUEST['untrashed'] ) );
  	unset($_REQUEST['undeleted']);
  }
  
+ if ( $messages )
+ 	echo join( ' ', $messages );
+ unset( $messages );
+ 
  $_SERVER['REQUEST_URI'] = remove_query_arg( array('locked', 'skipped', 'updated', 'deleted', 'trashed', 'untrashed'), $_SERVER['REQUEST_URI'] );
  ?>
  </p></div>
